ArcGIS API for Python 1.2 Released

960
12
07-17-2017 11:39 AM
AtmaMani
Esri Contributor
1 12 960

We are excited to announce the v1.2 of the ArcGIS API for Python to coincide with the Esri User Conference 2017. This is release packs a slew of new features, samples and numerous bug fixes to both the API and the samples. You can find the list of fixes and enhancements in the release notes.

Please upgrade your package using the command

conda upgrade -c esri arcgis‍‍

If this is the first time you’re installing the Python API, use the following command:

conda install -c esri arcgis‍‍

Note:

  • The v1.2 version requires Python interpreter 3.5 and later. This means, it would not work with the Python installed with ArcGIS Pro 1.3. We request our Pro users to upgrade to ArcGIS Pro 1.4 or 2.0 and reinstall the latest arcgis package.
  • If you were using v1.0 in Python 3.4 environment, please create a new environment and install either Python 3.5x or 3.6x and then install the arcgis API.

You can create a new environment in conda using the following command: In the command below, you can give a name of your choice and specify either 3.5 or 3.6 for Python version

conda create --name my_latest_python_env python=3.5‍‍

Then activate the environment and install the package using the command below:

activate my_latest_python_env
conda install -c esri arcgis‍‍‍‍‍‍

Thank you,
ArcGIS API for Python team.

12 Comments
ChrisJones-Roberts
New Contributor III

I am having an issue upgrading to 1.2, I recently installed ArcGIS Pro 2.0. I have tried to install the arcgis module 1.2 and receive an error "RuntimeError: Not signed into Portal". I then tried installing an older version 0.2 and it installed correctly. Then i tried upgrading to 1.2 and i received the same error. Is this a known issue with this new version?

Thanks,

Chris

DanPatterson_Retired
MVP Esteemed Contributor

Or use you Python Package Manager from within ArcGIS PRO I would assume would work equally well?

AtmaMani
Esri Contributor

Do you get this error during installation, or after when you try running a script?

Also, are you signed in and licensed Pro? At v1.2, when you install the API from Pro, you get a few additional capabilities that rely on ArcPy. ArcPy requires you to be licensed by signing into your named user licensing account. Hence you might be seeing this.

RebeccaStrauch__GISP
MVP Esteemed Contributor

I don't know if this matters, but I upgraded to Pro 2.0 (not new install) first, then exited Pro.  Then I opened the "Anaconda command window"

and used the command.  I think maybe you are using the python window.

conda upgrade -c esri arcgis

That worked for me.

ChrisJones-Roberts
New Contributor III

I forgot to add that part in. I also have tried to install it through the arcgis Pro package manager and it will not install. It looks like it is going to install but after the installation completes it is not installed. I assume the same problem is happening in the back ground but i am not sure how to look at the logs for the installation.

ChrisJones-Roberts
New Contributor III

This error occurs during installation. I am signed in and licensed with my organizations ArcGIS online site.

These three will not update. and I have admin credentials which i use when trying to install through package manager and when trying to install through the command prompt.

Thanks

ChrisJones-Roberts
New Contributor III

I notice in your screenshot that you have ArcGIS pro install for just you on your computer (in your user profile) and not for every one (in the program files folder). I wonder if that is causing an issue.

DanPatterson_Retired
MVP Esteemed Contributor

I have stuff installed for me only... since I am the only one who uses my machines... 

ChrisJones-Roberts
New Contributor III

That is interesting. I think I will try re-installing ArcGIS Pro but only for my user account and see if that fixes this issue.

simoxu
by MVP Regular Contributor
MVP Regular Contributor

Only version 1.0.1 on py35_1 works for my portal which is using windows integrated authentication.

I tried all the 1.2.x version, none of them can connect to the portal, kept on getting errors:

HTTPError: HTTP Error 401: Unauthorized

https://community.esri.com/thread/201079-cant-connect-to-portal

MichaelWallace3
New Contributor III

I have the exact same issue as Chris Jones Robert. I have tried to install through the package manager and as Chris said before it looks like it is installing but doesn't. if I install on the command line I get the exact same error message as Chris. first of all did uninstalling and reinstalling fix the issue?

KenPierce
New Contributor III

I'm also getting the not signed into portal message when trying to upgrade arcgis using conda install -c esri arcgis. I have arc pro running right now, signed into my account. I've tried it with arcpro running and not running.